#!/bin/sh

# Copyright bocke <bocke@slackware-srbija.org>, 2015
# License: CC-BY-SA

PRGNAM=wps-office
SRCVER=${SRCVER:-10.1.0.5503~a20p2}
VERSION=$(echo $SRCVER | cut -f 1 -d '~')
BASVER=a20
BUILD=${BUILD:-1}
TAG=${TAG:-bocke}

HOSTARCH=$(uname -m)
if [ -z "$ARCH" ]; then
	case "$HOSTARCH" in 
		i?86) 
			SRCARCH=i386 
			ARCH=i686
			;;
		x86_64)
			SRCARCH=amd64
			ARCH=$HOSTARCH ;;
		*) echo "Error ($0): Architecture $ARCH not supported." 
		   exit
		   ;;
	esac
fi

CWD=$(pwd)
TMP=${TMP:-/tmp/build}
SRCDIR=$TMP/$PRGNAM-$VERSION
PKG=$TMP/pkg-$PRGNAM
OUTPUT=${OUTPUT:-/tmp/packages}

DOWNLOAD="http://kdl.cc.ksosoft.com/wps-community/download/${BASVER}/wps-office_${SRCVER}_${SRCARCH}.deb"

set -e

rm -rf $PKG $SRCDIR
mkdir -p  $TMP $PKG $OUTPUT $SRCDIR 

cd $SRCDIR
if [ ! -f "wps-office_${SRCVER}_${SRCARCH}.deb" ];then
	wget "$DOWNLOAD"
fi
ar x "wps-office_${SRCVER}_${SRCARCH}.deb" data.tar.xz

cd $PKG
tar xvf $SRCDIR/data.tar.xz

chown -R root:root .
find -L . \
 \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
  -o -perm 511 \) -exec chmod 755 {} \; -o \
 \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
  -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;

find -L . \
 -print0 | xargs -0 file | grep -e "executable" -e "shared object" \
 | grep ELF | cut -f 1 -d : \
 | xargs strip --strip-unneeded 2> /dev/null || true

mkdir -p $PKG/install
cat << EOF >$PKG/install/slack-desc
          |-----handy-ruler------------------------------------------------------|
wps-office: WPS Office (an office suite)
wps-office:
wps-office: WPS Office including Writer, Presentation and Spreadsheets, is a
wps-office: powerfull office suite, which is able to process word file, produce
wps-office: wonderfull slides, and analyze data as well. It is deeply compatible
wps-office: with all of the latest Microsoft Office file formats. It can easily
wps-office: and read the documents created with Microsoft Office.
wps-office:
wps-office: This is the Linux version which is still considered alpha quality.
wps-office: Homepage: http://wps-community.org
wps-office:
EOF

cd $PKG
/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-txz}



